


static void
_resource_set_destination (SlurpResource *self,
                           gchar         *uri)
{
    g_return_if_fail (SLURP_IS_RESOURCE (self));

    SlurpResourcePrivate *priv = slurp_resource_get_instance_private (self);

    if (g_strcmp0 (uri, "") == 0)
        return;

    if (slurp_utils_uri_is_directory (uri) && !slurp_utils_uri_is_directory (priv->destination))
    {
        gchar *file_name = NULL;

        file_name = g_path_get_basename (priv->destination);

        priv->destination =
                g_build_filename (uri, file_name, NULL);

        g_free (file_name);

        return;
    }

    priv->destination = uri;
}

static void
_resource_set_origin (SlurpResource *self,
                      gchar         *uri)
{
    g_return_if_fail (SLURP_IS_RESOURCE (self));
    g_return_if_fail (uri != NULL);

    SlurpResourcePrivate *priv = slurp_resource_get_instance_private (self);

    priv->origin = uri;

    g_debug ("Dest: %s", priv->destination);
/*
    if (slurp_utils_uri_is_directory (priv->destination))
    {
        gchar *destination;
        gchar *file_name;

        file_name = g_path_get_basename (uri);
        destination = g_build_filename (priv->default_destination, file_name, NULL);

        _resource_set_destination (self, destination);

        g_free (file_name);
        g_free (destination);
    }

    g_debug ("Dest: %s", priv->destination);

    if (!priv->destination)
    {
        gchar *destination;

        _resource_set_destination (self, destination);

        g_free (destination);
    }
*/
}
